openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/STREE_STRUCTURE_READ_EXTENSION:
    post:
      tags:
      - SHI1
      summary: Read structure name space name hierarchy
      operationId: /rfc/STREE_STRUCTURE_READ_EXTENSION
      requestBody:
        content:
          application/json:
            schema:
              properties:
                STRUCTURE_ID:
                  type: string
                  maxLength: 32
                EXTENSION_HIERARCHIE:
                  type: array
                  items:
                    type: object
                    properties:
                      ID:
                        type: string
                        maxLength: 32
                        description: Unique ID - 32 characters
                      EXTENSION:
                        type: string
                        maxLength: 15
                        description: Structure enhancement ID
                      SEQUENCE:
                        type: integer
                        format: int32
                        description: Counter
                      ORDER_NO:
                        type: integer
                        format: int64
                        description: Enhancement Status Number
              required:
              - STRUCTURE_ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  MESSAGE:
                    type: object
                    properties:
                      MSGID:
                        type: string
                        maxLength: 20
                        description: Message Class
                      MSGTY:
                        type: string
                        maxLength: 1
                        description: Message Type
                      MSGNO:
                        type: integer
                        format: int64
                        description: Message Number
                      MSGV1:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      MSGV2:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      MSGV3:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      MSGV4:
                        type: string
                        maxLength: 50
                        description: Message Variable
                      MSGTXT:
                        type: string
                        maxLength: 256
                        description: Text, 256 Characters
                  EXTENSION_HIERARCHIE:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: string
                          maxLength: 32
                          description: Unique ID - 32 characters
                        EXTENSION:
                          type: string
                          maxLength: 15
                          description: Structure enhancement ID
                        SEQUENCE:
                          type: integer
                          format: int32
                          description: Counter
                        ORDER_NO:
                          type: integer
                          format: int64
                          description: Enhancement Status Number
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
